source env.sh

# Create the resource group
az group create --name $MY_RESOURCE_GROUP --location "$LOC"

# Create a storage account
az storage account create --name $MY_STORAGE_ACCOUNT --location $LOC --resource-group $MY_RESOURCE_GROUP --sku Standard_LRS

# Create the function app with a consumption plan
az functionapp create --resource-group $MY_RESOURCE_GROUP --consumption-plan-location $LOC --runtime node --functions-version 3 --name $FUNCTION_APP_NAME --storage-account $MY_STORAGE_ACCOUNT

# Create an Event Hubs Namespace
az eventhubs namespace create --name $MY_EVENTHUB_NAMESPACE --resource-group $MY_RESOURCE_GROUP --location $LOC

# Create an Event Hub
az eventhubs eventhub create --name $MY_EVENTHUB --resource-group $MY_RESOURCE_GROUP --namespace-name $MY_EVENTHUB_NAMESPACE

# Create an IoT Hub
az iot hub create --name $MY_IOTHUB --resource-group $MY_RESOURCE_GROUP --location $LOC --sku S1

# Get the connection string for the Event Hub
EVENT_HUB_CONN_STR=$(az eventhubs namespace authorization-rule keys list --resource-group $MY_RESOURCE_GROUP --namespace-name $MY_EVENTHUB_NAMESPACE --name RootManageSharedAccessKey --query "primaryConnectionString" --output tsv)

# Create a routing endpoint in the IoT Hub for the Event Hub
az iot hub routing-endpoint create --resource-group $MY_RESOURCE_GROUP --hub-name $MY_IOTHUB --endpoint-name $MY_EVENTHUB --endpoint-resource-group $MY_RESOURCE_GROUP --endpoint-subscription-id $AZURE_SUBSCRIPTION --connection-string $EVENT_HUB_CONN_STR --endpoint-type eventhub
